Package Release Info

lib3ds-1.3.0-bp154.2.20

Update Info: Base Release
Available in Package Hub : 15 SP4)

platforms

AArch64
ppc64le
s390x
x86-64

subpackages

lib3ds-1-3
lib3ds-devel

Change Logs

* Mon Jun 07 2021 Jan Engelhardt <jengelh@inai.de>
- Drop --with-pic (no effect with --disable-static)
Version: 1.3.0-bp150.2.4
* Fri May 20 2016 christoph@stop.pe
- Fixed packaging of -devel package to include lib3ds.pc file (/usr/bin/lib3ds-config will not work without it).
* Mon Sep 15 2014 crrodriguez@opensuse.org
- Remove superflous buildrequires, mesa and freeglut are never used.
* Mon Aug 04 2014 tchvatal@suse.com
- Add pkgconfig patch to match Fedora behaviour:
  * lib3ds-pkgconfig.patch
- Format with spec-cleaner.
- Remove Obsoletes from openSUSE-10.2
- Add patch to fix potential CVE-2010-0280:
  * lib3ds-mesh.c.patch
* Sat Jan 12 2013 jengelh@inai.de
- Remove undesired/redundant tags/sections
- Parallel build with %_smp_mflags
* Sun Nov 13 2011 coolo@suse.com
- add libtool as explicit buildrequire to avoid implicit dependency from prjconf
* Sun Aug 12 2007 crrodriguez@suse.de
- update to version 1.3.0
- use library packaging policy
- drop all no longer needed patches
- provide shared libraries only.
* Wed May 30 2007 pth@suse.de
- Suppress "devel file in non-devel package" error. lib3ds only
  provides a static library and headers.
- Don't compile examples, let the user do that himself if needed.
- Provide CONFIGURE_GLUT in acinclude.m4 in order to make it
  possible to run autoreconf. Remove unnecessary acconfig.h.
- modify lib3ds-no_type_punning.patch to more resemble upstream
  fix.
- (Build)Require Mesa-devel and freeglut-devel
* Thu Aug 31 2006 pth@suse.de
- Fix quoting in definition of AM_PATH_LIB3DS.
- Fix type punning to compile with strict-aliasing.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Apr 21 2004 adrian@suse.de
- compile with -fno-strict-aliasing
* Fri Dec 05 2003 adrian@suse.de
- package also examples
* Tue Apr 01 2003 adrian@suse.de
- initial package of version 1.2.0
Version: 1.3.0-bp152.4.5
* Wed May 08 2019 olaf@aepfle.de
- Install pkgconfig into libdir instead of datadir